;Project Lynxmotion Phoenix
;Description: A-Pod, configuration file.
;		All Hardware connections (excl controls) and body dimensions 
;		are configurated in this file. Can be used with V2.0 and above
;Configuration version: V1.0
;Date: 06-10-2009
;Programmer: Jeroen Janssen (aka Xan)
;
;Hardware setup: ABB2 with ATOM 28 Pro, SSC32 V2, (See further for connections)
;
;NEW IN V1.0
;	- First Release
;
;--------------------------------------------------------------------
;--------------------------------------------------------------------
UseCodeOffsets 		con 1 	;Comment this line if you are using the internal SSC32 registry offsets
BinaryMode 			con 1 	;Comment this line if you don't want to use the SSC32 binary mode
LiPoSafetyON		con 1	;Comment this line if you are not using a 2S LiPo directly to the VL
ApodCode			con 1
;PERLEGCONFIG 		con 1	; Comment this line if all of the legs are the same...
; Note: cTarsLength if defined below turns on 4dof mode...

;USEPS2			con 1
USEXBEE			con 1
;--------------------------------------------------------------------
;[SERIAL CONNECTIONS]
cSSC_OUT   		con P11		;Output pin for (SSC32 RX) on BotBoard (Yellow)
cSSC_IN    		con P10		;Input pin for (SSC32 TX) on BotBoard (Blue)
cSSC_BAUD 		con i115200	;SSC32 BAUD rate 115200 require the Studio version 2.0.0.7 or later
;--------------------------------------------------------------------
;[BB2 PIN NUMBERS]
cEyesPin		con P8

#ifdef BASICATOMPRO28
CXBEE_RTS		con	p7	' put on a pin that has lower voltages (Only used if USEXBEE is defined)
cSound			con P9	; Standard sound pin on Atom Bot Board 2
#else
cSound			con P19	; lets try output sound on plug in speaker
CXBEE_RTS		con P34 ' put on a pin that has lower voltage (SCL/SDA)
#endif
;--------------------------------------------------------------------
;[SSC PIN NUMBERS]
cRRCoxaPin 		con P0	;Rear Right leg Hip Horizontal
cRRFemurPin 	con P1	;Rear Right leg Hip Vertical
cRRTibiaPin 	con P2	;Rear Right leg Knee

cRMCoxaPin 		con P4	;Middle Right leg Hip Horizontal
cRMFemurPin 	con P5	;Middle Right leg Hip Vertical
cRMTibiaPin 	con P6	;Middle Right leg Knee

cRFCoxaPin 		con P8	;Front Right leg Hip Horizontal
cRFFemurPin 	con P9	;Front Right leg Hip Vertical
cRFTibiaPin 	con P10	;Front Right leg Knee

cLRCoxaPin 		con P16	;Rear Left leg Hip Horizontal
cLRFemurPin 	con P17	;Rear Left leg Hip Vertical
cLRTibiaPin 	con P18	;Rear Left leg Knee

cLMCoxaPin 		con P20	;Middle Left leg Hip Horizontal
cLMFemurPin 	con P21	;Middle Left leg Hip Vertical
cLMTibiaPin 	con P22	;Middle Left leg Knee

cLFCoxaPin 		con P24	;Front Left leg Hip Horizontal
cLFFemurPin 	con P25	;Front Left leg Hip Vertical
cLFTibiaPin  	con P26	;Front Left leg Knee

cHeadRotPin		con P13	;Head Rotate
cHeadPanPin		con	P12	;Head Panorate (side to side)
cHeadTiltPin	con P14	;Head Tilt (up and down)

cMandRightPin 	con P28;Right Mandible
cMandLeftPin 	con P29;Left Mandible

cAbdomPanPin	con P30;Abdomen Panorate (tail side to side)
cAbdomTiltPin 	con P31;Abdomen Tilt (tail up and down)	
;--------------------------------------------------------------------
;[SERVO Offsets]
#IFDEF UseCodeOffsets
cRFCoxaOffset 	con 644	;Front Right leg Hip Horizontal		;650-6
cRFFemurOffset 	con 564	;Front Right leg Hip Vertical		;650-86
cRFTibiaOffset 	con 670	;Front Right leg Knee				;650+20

cRMCoxaOffset 	con 662	;Middle Right leg Hip Horizontal	;650+12
cRMFemurOffset 	con 555	;Middle Right leg Hip Vertical		;650-95
cRMTibiaOffset 	con 675	;Middle Right leg Knee				;650+25

cRRCoxaOffset 	con 707	;Rear Right leg Hip Horizontal		;650+57
cRRFemurOffset 	con 556	;Rear Right leg Hip Vertical		;650-94
cRRTibiaOffset 	con 684	;Rear Right leg Knee				;650+34

cLFCoxaOffset 	con 629	;Front Left leg Hip Horizontal		;650-21
cLFFemurOffset 	con 802	;Front Left leg Hip Vertical		;650+152
cLFTibiaOffset 	con 573	;Front Left leg Knee				;650-77

cLMCoxaOffset 	con 689	;Middle Left leg Hip Horizontal		;650+39
cLMFemurOffset 	con 720	;Middle Left leg Hip Vertical		;650+70
cLMTibiaOffset 	con 584	;Middle Left leg Knee				;650-66

cLRCoxaOffset 	con 713	;Rear Left leg Hip Horizontal		;650+63
cLRFemurOffset 	con 790	;Rear Left leg Hip Vertical			;650+140
cLRTibiaOffset 	con 564	;Rear Left leg Knee					;650-86

cHeadRotOffset	con 288	;Head Rotate						;650-362
cHeadPanOffset	con	639	;Head Panorate (side to side)		;650-11
cHeadTiltOffset	con 368	;Head Tilt (up and down)			;650-282

cAbdomTiltOffset con 661	;Abdomen Tilt (tail up and down)	;650+11
cAbdomPanOffset	con	603	;Abdomen Panorate (tail side to side);650-47
#endif
;--------------------------------------------------------------------
;[MIN/MAX ANGLES]
cRRCoxaMIN1	con -560		;Mechanical limits of the Right Rear Leg
cRRCoxaMAX1	con 930
cRRFemurMIN1	con -1050
cRRFemurMAX1	con 750
cRRTibiaMIN1	con -680
cRRTibiaMAX1	con 900

cRMCoxaMIN1	con -500		;Mechanical limits of the Right Middle Leg
cRMCoxaMAX1	con 500
cRMFemurMIN1	con -1050
cRMFemurMAX1	con 750
cRMTibiaMIN1	con -680
cRMTibiaMAX1	con 900

cRFCoxaMIN1	con -950		;Mechanical limits of the Right Front Leg
cRFCoxaMAX1	con 620
cRFFemurMIN1	con -1050
cRFFemurMAX1	con 750
cRFTibiaMIN1	con -680
cRFTibiaMAX1	con 900

cLRCoxaMIN1	con -930	;Mechanical limits of the Left Rear Leg
cLRCoxaMAX1	con 560
cLRFemurMIN1	con -1050
cLRFemurMAX1	con 750
cLRTibiaMIN1	con -680
cLRTibiaMAX1	con 900

cLMCoxaMIN1	con -500		;Mechanical limits of the Left Middle Leg
cLMCoxaMAX1	con 500
cLMFemurMIN1	con -1050
cLMFemurMAX1	con 750
cLMTibiaMIN1	con -680
cLMTibiaMAX1	con 900

cLFCoxaMIN1	con -620		;Mechanical limits of the Left Front Leg
cLFCoxaMAX1	con 950
cLFFemurMIN1	con -1050
cLFFemurMAX1	con 750
cLFTibiaMIN1	con -680
cLFTibiaMAX1	con 900

;Mechanical limits of Head Rotate
cHeadRotMAX1		con	1420
cHeadRotMIN1		con	-450

;Mechanical limits of Head Panorate (side to side)
cHeadPanMAX1		con	380
cHeadPanMIN1		con	-380

;Mechanical limits of Head Tilt (up and down)
cHeadTiltMAX1 	con	600
cHeadTiltMIN1 	con	-530

;Mechanical limits of Right Mandible
cMandRightMAX1	con	600
cMandRightMIN1	con	-280

;Mechanical limits of Left Mandible (reversed in SEQ, not here!)
cMandLeftMAX1	con	600
cMandLeftMIN1	con	-280

;Mechanical limits of Abdomen Tilt (tail up and down)
cAbdomTiltMAX1 	con	620
cAbdomTiltMIN1 	con	-580

;Mechanical limits of Abdomen Panorate (tail side to side)
cAbdomPanMAX1	con	360
cAbdomPanMIN1	con	-360
;--------------------------------------------------------------------
;[BODY DIMENSIONS]
cCoxaLength  	con 42		;Length of the Coxa [mm]
cFemurLength 	con 80		;Length of the Femur [mm]
cTibiaLength 	con 120		;Lenght of the Tibia [mm]

cRRCoxaAngle1 	con -450	;Default Coxa setup angle, decimals = 1
cRMCoxaAngle1 	con 0		;Default Coxa setup angle, decimals = 1
cRFCoxaAngle1 	con 450		;Default Coxa setup angle, decimals = 1
cLRCoxaAngle1 	con -450	;Default Coxa setup angle, decimals = 1
cLMCoxaAngle1 	con 0		;Default Coxa setup angle, decimals = 1
cLFCoxaAngle1 	con 450		;Default Coxa setup angle, decimals = 1

cRROffsetX 		con -71		;Distance X from center of the body to the Right Rear coxa
cRROffsetZ 		con 85		;Distance Z from center of the body to the Right Rear coxa
cRMOffsetX 		con -71		;Distance X from center of the body to the Right Middle coxa
cRMOffsetZ 		con 0		;Distance Z from center of the body to the Right Middle coxa
cRFOffsetX 		con -71		;Distance X from center of the body to the Right Front coxa
cRFOffsetZ 		con -85		;Distance Z from center of the body to the Right Front coxa

cLROffsetX 		con 71		;Distance X from center of the body to the Left Rear coxa
cLROffsetZ 		con 85		;Distance Z from center of the body to the Left Rear coxa
cLMOffsetX 		con 71		;Distance X from center of the body to the Left Middle coxa
cLMOffsetZ 		con 0		;Distance Z from center of the body to the Left Middle coxa
cLFOffsetX 		con 71		;Distance X from center of the body to the Left Front coxa
cLFOffsetZ 		con -85		;Distance Z from center of the body to the Left Front coxa
;--------------------------------------------------------------------
;[START POSITIONS FEET]
CHexInitY		con 15

cRRInitPosX 	con 69		;Start positions of the Right Rear leg
cRRInitPosY 	con CHexInitY
cRRInitPosZ 	con 69

cRMInitPosX 	con 98		;Start positions of the Right Middle leg
cRMInitPosY 	con CHexInitY
cRMInitPosZ 	con 0

cRFInitPosX 	con 69		;Start positions of the Right Front leg
cRFInitPosY 	con CHexInitY
cRFInitPosZ 	con -69

cLRInitPosX 	con 69		;Start positions of the Left Rear leg
cLRInitPosY 	con CHexInitY
cLRInitPosZ 	con 69

cLMInitPosX 	con 98		;Start positions of the Left Middle leg
cLMInitPosY 	con CHexInitY
cLMInitPosZ 	con 0

cLFInitPosX 	con 69		;Start positions of the Left Front leg
cLFInitPosY 	con CHexInitY
cLFInitPosZ 	con -69
;-------------------------------------------------------------------------
;[Servo PWM values] Center (0 deg), max and min deg
; *** NOT USED YET *** FEIL verdier bruk PEP metoden, dvs bruk reversed verdier
cHeadRotPWM			con 1138	;Head Rotate
cHeadRotMaxPWM		con	2500
cHeadRotMinPWM		con	714

cHeadPanPWM			con	1489	;Head Panorate (side to side)
cHeadPanMaxPWM		con	1911
cHeadPanMinPWM		con	1065

cHeadTiltPWM 		con 1218	;Head Tilt (up and down)
cHeadTiltMaxPWM 		con	1987
cHeadTiltMinPWM 		con	766

cMandRightClosedPWM	con 1124	;Right Mandible
cMandRightMaxPWM		con	2052
cMandRightMinPWM		con	1098

cMandLeftClosedPWM	con	1836	;Left Mandible (reversed in SEQ, not here!)
cMandLeftMaxPWM		con	1861
cMandLeftminPWM		con	949

cAbdomTiltPWM 		con 1511	;Abdomen Tilt (tail up and down)
cAbdomTiltMaxPWM 	con	2142
cAbdomTiltMinPWM 	con	907

cAbdomPanPWM			con	1453	;Abdomen Panorate (tail side to side)
cAbdomPanMaxPWM		con	1860
cAbdomPanMinPWM		con	1046
;--------------------------------------------------------------------